Show / Hide Table of Contents

# Class XivChatTypeExtensions

Extension methods for the XivChatType type.

##### Inheritance

System.Object
XivChatTypeExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Text

###### Assembly: Dalamud.dll

##### Syntax

    public static class XivChatTypeExtensions

### Methods

| Improve this Doc View Source

#### GetDetails(XivChatType)

Get the InfoAttribute associated with this chat type.

##### Declaration

    public static XivChatTypeInfoAttribute GetDetails(this XivChatType chatType)

##### Parameters

Type | Name | Description
--- | --- | ---
XivChatType | chatType | The chat type.

##### Returns

Type | Description
--- | ---
XivChatTypeInfoAttribute | The info attribute.